@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@300;400;600&display=swap');

* {
    box-sizing: border-box;
}

:root {
    --DesaturatedRed: hsl(0, 36%, 70%);
    --SoftRed: hsl(0, 93%, 68%);
    --DarkGrayishRed: hsl(0, 6%, 24%);
}

body {
    font-family: 'Josefin Sans', sans-serif;
    padding: 30px;
    margin: 0px;
}

header {
    width: 200px;
}

main {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.img-mobile {
    display: none;
}

.section-left {
    width: 60%;
    padding: 30px;
}

.section-right {
    background: url("./img/hero-desktop.jpg") center no-repeat;
    width: 40%;
    height: 100vh;
}

h1 {
    text-transform: uppercase;
    margin: 0px;
    padding: 0px;
    font-size: 6rem;
    letter-spacing: 0.2em;
}

p {
    font-size: 1.5rem;
    color: var(--DarkGrayishRed);
    opacity: 0.5;
}

span {
    font-weight: 200;
    color: var(--DesaturatedRed)
}

form {
    position: relative
}

input {
    width: 100%;
    padding: 1rem 1.5rem;
    outline: none;
    border: 2px solid hsl(0, 36%, 70%);
    border-radius: 5rem;
    font-size: .9rem;
}

input::placeholder {
    color: hsl(0, 36%, 70%);
}

button {
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    border: 2px solid hsl(0, 36%, 70%);
    border-radius: 5rem;
    background-image: linear-gradient(135deg, hsl(0, 80%, 86%), hsl(0, 74%, 74%));
    padding: .5rem 2rem;
}

@media screen and (max-width: 900px) {

    header {
        margin-bottom: 20px;
    }

    main {
        height: auto;
        margin: auto;
    }

    .img-mobile {
        display: block;
        width: 100%;
    }

    .section-left {
        width: 100%;
        margin: auto;
    }

    .section-right {
        display: none;
    }

    h1 {
        font-size: 2.5rem;
        text-align: center;
    }

    p {
        text-align: center;
    }

}